Bug 28032 - Button corrections in point of sale pages
Summary: Button corrections in point of sale pages
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-03-25 15:07 UTC by Owen Leonard
Modified: 2021-04-24 17:15 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.05.00,20.11.05,20.05.11


Attachments
Bug 28032: Button corrections in point of sale pages (4.85 KB, patch)
2021-03-25 15:14 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 28032: Button corrections in point of sale pages (4.90 KB, patch)
2021-03-25 17:04 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 28032: Button corrections in point of sale pages (4.96 KB, patch)
2021-03-27 14:38 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2021-03-25 15:07:37 UTC
Some point of sale templates have inconsistencies in how the buttons are marked up.
Comment 1 Owen Leonard 2021-03-25 15:14:11 UTC
Created attachment 118822 [details] [review]
Bug 28032: Button corrections in point of sale pages

This patch corrects some markup inconsistencies in some templates
related to point of sale:

- Point of sale -> Library details. The "btn-xs" class has been added to
  "Record cashup" and "Cashup all" buttons.
- Administration -> Debit types and Administration -> Credit types:
  - Font Awesome icons are removed from the "save" and "cancel" controls
    in order to keep them consistent with other templates.
Comment 2 Lucas Gass 2021-03-25 17:04:43 UTC
Created attachment 118827 [details] [review]
Bug 28032: Button corrections in point of sale pages

This patch corrects some markup inconsistencies in some templates
related to point of sale:

- Point of sale -> Library details. The "btn-xs" class has been added to
  "Record cashup" and "Cashup all" buttons.
- Administration -> Debit types and Administration -> Credit types:
  - Font Awesome icons are removed from the "save" and "cancel" controls
    in order to keep them consistent with other templates.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 3 Katrin Fischer 2021-03-27 14:37:31 UTC
When you use Cashup all the cancel option should also be a link, I think.
Comment 4 Katrin Fischer 2021-03-27 14:38:55 UTC
Created attachment 118894 [details] [review]
Bug 28032: Button corrections in point of sale pages

This patch corrects some markup inconsistencies in some templates
related to point of sale:

- Point of sale -> Library details. The "btn-xs" class has been added to
  "Record cashup" and "Cashup all" buttons.
- Administration -> Debit types and Administration -> Credit types:
  - Font Awesome icons are removed from the "save" and "cancel" controls
    in order to keep them consistent with other templates.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Jonathan Druart 2021-04-01 16:55:32 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 6 Fridolin Somers 2021-04-15 10:30:53 UTC
Pushed to 20.11.x for 20.11.05
Comment 7 Andrew Fuerste-Henry 2021-04-24 16:29:05 UTC
Pushed to 20.05.x for 20.05.11
Comment 8 Victor Grousset/tuxayo 2021-04-24 17:15:04 UTC
Not backported to oldoldstable (19.11.x). Feel free to ask if it's needed.